function createMenuOptions(app, session) {
	const editMenu = {
		label: 'Edit',
		submenu: [
			{
				label: 'Hard Reload',
				async click() {
					await session.defaultSession.clearStorageData();
					app.relaunch();
					app.exit();
				},
				accelerator: 'CmdOrCtrl+Shift+R'
			},
			{
				type: 'separator'
			},
			{
				role: 'undo'
			},
			{
				role: 'redo'
			},
			{
				type: 'separator'
			},
			{
				role: 'cut'
			},
			{
				role: 'copy'
			},
			{
				role: 'paste'
			},
			{
				role: 'pasteandmatchstyle'
			},
			{
				role: 'delete'
			},
			{
				role: 'selectall'
			},
			{
				type: 'separator'
			},
			{
				role: 'quit'
			}
		]
	};

	const viewMenu = {
		label: 'View',
		submenu: [
			{
				label: 'Reload',
				accelerator: 'CmdOrCtrl+R',
				click(item, focusedWindow) {
					if (focusedWindow) focusedWindow.reload();
				}
			},
			{
				type: 'separator'
			},
			{
				role: 'resetzoom'
			},
			{
				role: 'zoomin'
			},
			{
				role: 'zoomout'
			},
			{
				type: 'separator'
			},
			{
				role: 'togglefullscreen'
			}
		]
	};

	const windowMenu = {
		role: 'window',
		submenu: [
			{
				role: 'minimize'
			},
			{
				role: 'close'
			},
			{ role: 'toggleDevTools' }
		]
	};

	const menuOptions = [editMenu, viewMenu, windowMenu];
	return menuOptions;
}

exports.default = createMenuOptions;
